
window.onload=function(){

    native_call_H5('h5_check_auth_result',function(data,responseCallback){
        document.querySelector('#authResult').innerHTML='当前鉴权结果为'+JSON.stringify(data);
    })

    //客户端发来的识别文本
    native_call_H5('h5_send_asr_result',function(data,responseCallback){
        document.querySelector('#asrResult').innerHTML='识别文本语义为'+JSON.stringify(data);
         console.log("data.text  = " + data.text );
         console.log("data.token  = " + data.token );
        var asrHandleDelayMillis = document.getElementById("asrHandleDelayMillis").value;
        var timestamp = new Date().getTime();
        console.log(asrHandleDelayMillis+ "ms后执行任务asrHandleResult" + timestamp);
        setTimeout(asrHandleResult,asrHandleDelayMillis,data,responseCallback);
    })


     native_call_H5('h5_send_nlp_result',function(data,responseCallback){
        document.querySelector('#nlpResult').innerHTML='识别文本语义为'+JSON.stringify(data);
     })

     native_call_H5('h5_send_tts_status',function(data,responseCallback){
             document.querySelector('#ttsStatus').innerHTML='当前tts合成状态'+JSON.stringify(data);
     })

      native_call_H5('h5_send_ise_result',function(data,responseCallback){
          document.querySelector('#iseResult').innerHTML='当前评测状态'+JSON.stringify(data);
      })

    native_call_H5('h5_send_ui_status',function(data,responseCallback){
            document.querySelector('#uiEvent').innerHTML=JSON.stringify(data);
    })
    native_check_auth('213sddada331','b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de')
}

function asrHandleResult(data,responseCallback){
    var timestamp=new Date().getTime();
     console.log("开始执行任务asrHandleResult = " + timestamp);
     var asrHandled = document.getElementById("handleResult").value;
     var handleResult = false;
     if(asrHandled == 0){
        handleResult = true;
     }
     var resObj={};
     if (responseCallback) {
         resObj.code=200;
         resObj.msg='success';
         var result = {"asrToken": data.token,"handled": handleResult};
         resObj.data=result;
         responseCallback(JSON.stringify(resObj));
     }
     document.querySelector('#asrHandleResult').innerHTML='web端处理结果'+JSON.stringify(resObj);
}


function native_check_auth(appid,token){
    H5_call_native('native_check_auth',{"appid" : appid,"token":token},function(res){

    })
}

function nativeOpenAsr(){
   H5_call_native('native_open_asr',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

    })
}

function nativeUpdateAsr(params){
   H5_call_native('native_update_asr',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","params":params},function(res){

    })
}

function nativeCloseAsr(){
   H5_call_native('native_close_asr',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

    })
}


 function nativeOpenNlp(){
    H5_call_native('native_open_nlp',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","services":"weather`stock`video`baike"},function(res){

    })
 }


function nativeUpdateNlp(params){
   H5_call_native('native_update_nlp',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","params":params},function(res){

    })
}

 function nativeCloseNlp(){
    H5_call_native('native_close_nlp',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

    })
}



 function nativeStartTTS(){
    var ttsText = document.getElementById("ttsText").value;
    H5_call_native('native_start_tts',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","text": ttsText},function(response){
    })
}

 function nativeCancelTTS(){
    H5_call_native('native_cancel_tts',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

    })
}

 function nativeOpenIse(lan,category){
    var params = "language=" + lan +",category="+category +",result_level=complete";
    H5_call_native('native_open_ise',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","params":params},function(res){

    })
}

 function nativeCloseIse(){
    H5_call_native('native_close_ise',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

    })
}

 function nativeSetIseText(){
    var iseText = document.getElementById("iseText").value;
    H5_call_native('native_set_ise_text',{"iseText":iseText,"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){
    })
}

 function nativeFeedback(){
    H5_call_native('native_feedback',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","text":"正在为您查询","needShowText":true, "needTts":true},function(res){

    })
}

function nativeGetEnv(stbEnvKey){
    H5_call_native('native_get_stbEnv',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","stbEnvKey":stbEnvKey},function(response){
        if(stbEnvKey=='gps'){
            document.querySelector('#nativeGps').innerHTML='当前gps为'+JSON.stringify(response);
        }else if(stbEnvKey == 'cid' ){
         document.querySelector('#nativeChannel').innerHTML='当前渠道号为'+JSON.stringify(response);
        }else{
         document.querySelector('#nativeStbid').innerHTML='当前stbid为'+JSON.stringify(response);
        }
    })
}

function registerViewCmd(){
    var listener = new Xiri.Listener(function(intent){
        document.querySelector('#viewCmdIntent').innerHTML=JSON.stringify(intent);
    });
    var scene = {
                "_scene": "com.iflytek.xiri.MyScene",
                "_commands": {"key1": ["打开", "开始"],"_PLAY": ["$P(_PLAY)"],"_PAGE": ["$P(_PAGE)"],
                "_EPISODE": ["$P(_EPISODE)"],
                "_SELECT": ["$P(_SELECT)"]},
                "_feedbacks": {"key1": "回显信息1"}
         }
   listener.regist(scene);
}

function nativeOpenVui(){
    H5_call_native('native_open_ui_event',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

    })
}
function nativeCloseVui(){
     H5_call_native('native_close_ui_event',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de"},function(res){

     })
 }


 function nativeCensusEvent(){
     H5_call_native('native_census_event',{"appid":"213sddada331","token":"b78f19d755c1a5cee4f4dcb61babd9fd77a9e6de","eventType":"0","_linkId":"12346566","businessType":"operatePage","customJson":"{\"service\":\"weather\",\"nlpToken\":\"本次语义理解唯一标识\",\"semantic\":\"语义结果\"}"},function(res){

     })
 }
